Subject: Re: [mumi] 44964 cannot be displayed

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 06 Dec 2020 12:30:08 +0100

Arun Isaac <[email-masked]> writes:

>> For some reason “Jorge P. de Morais Neto <[email-masked]>” is
>> not split up into name and address parts but remains a single string.
>
> I have fixed this bug in the latest guile-email master, and added
> tests to prevent regression. See
> https://git.systemreboot.net/guile-email/commit/?id=37e245539bc9e27db35731e7b517cdde397834e2
> and
> https://git.systemreboot.net/guile-email/commit/?id=907a5d678c58eff653133df441aeecd3b7025e37

Thank you!  You are always very fast and thorough; I appreciate this a lot!

>> Mumi commit 6fd49e9341d5673b70edfb333a4e5fa0a44128d2 works around this
>> problem, which I suspect might be a bug in guile-email.
>
> guile-email should guarantee the parsed From header is an alist of the
> appropriate form. So, I vote for reverting this commit, thus reducing
> complexity on mumi's end.

I agree.  I wasn’t sure how difficult it would be to fix it in
guile-email, so I added the workaround just in case it takes longer.
I’ll upgrade and revert that commit soon.

-- 
Ricardo